Bug 237289 - [PATCH] net/foreman-proxy: update to 1.21.2
Summary: [PATCH] net/foreman-proxy: update to 1.21.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on: 237288
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-14 21:48 UTC by Frank Wall
Modified: 2020-07-03 16:56 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
patch for port (14.33 KB, text/plain)
2019-04-14 21:48 UTC, Frank Wall
no flags Details
Patch to foreman-proxy-1.15.1 (2.21 KB, patch)
2020-01-16 14:15 UTC, Karli Sjöberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Karli Sjöberg 2020-01-16 14:15:28 UTC
Created attachment 210796 [details]
Patch to foreman-proxy-1.15.1
Comment 2 Karli Sjöberg 2020-01-16 14:15:43 UTC
Oh, cool! I can help test this if you like?

Before looking, mostly in fear of breaking my existing system, I made a patch to 1.15.1, just to be able to handle Puppet/PuppetServer version 6 that I can share here, if the new version takes more time to implement than just patching the existing port version.
Comment 3 Frank Wall 2020-01-16 14:38:21 UTC
FWIW, I've been using this Foreman Proxy 1.21.2 port ever since submitting this patch. It just needs someone to actually *commit* it (or to request changes, that is). :)
Comment 4 Karli Sjöberg 2020-01-17 06:24:07 UTC
Oh man, so who do we poke to get a commit around here? =)
Comment 5 commit-hook freebsd_committer 2020-07-03 16:56:04 UTC
A commit references this bug:

Author: lwhsu
Date: Fri Jul  3 16:56:00 UTC 2020
New revision: 541122
URL: https://svnweb.freebsd.org/changeset/ports/541122

Log:
  Update to 1.21.2

  PR:		237289
  Submitted by:	Frank Wall <fw@moov.de>

Changes:
  head/net/foreman-proxy/Makefile
  head/net/foreman-proxy/distinfo
  head/net/foreman-proxy/files/patch-config-settings.d-puppet_proxy_legacy.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-puppet_proxy_puppet_api.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-puppetca.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-realm_freeipa.yml.example
  head/net/foreman-proxy/files/patch-config-settings.d-tftp.yml.example
  head/net/foreman-proxy/files/patch-config-settings.yml.example
  head/net/foreman-proxy/files/patch-lib_proxy_http__download.rb
  head/net/foreman-proxy/pkg-plist
Comment 6 Li-Wen Hsu freebsd_committer 2020-07-03 16:56:55 UTC
Committed, thanks! Also fixed one missing s/PUPPET5/PUPPET6/